import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:hub/shared/components/molecules/locals/index.dart';

class LocalsRepositoryImpl implements LocalsRepository {
  final LocalsRemoteDataSource remoteDataSource = LocalsRemoteDataSourceImpl();

  @override
  Future<void> validateLocal(BuildContext context) async {
    return await remoteDataSource.checkLocals(context);
  }

  @override
  Future<bool> update(BuildContext context) async {
    final bool response = await remoteDataSource.processLocals(context);
    context.read<LocalProfileBloc>().add(LocalProfileEvent());
    return response;
  }

  @override
  Future<void> unlinkLocal(BuildContext context) {
    return remoteDataSource.detachLocal(context);
  }
}
